List all refunds

Returns a list of all refunds you created. We return the refunds in sorted order, with the most recent refunds appearing first. The 10 most recent refunds are always available by default on the Payment object.

Query Parameters
  • start_date
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: stringFormat: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • status
    Type: array string[]
  • currency
    Type: array string[]
  • limit
    Type: integer

    Integer numbers.

  • last_key
    Type: string
  • id
    Type: string
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/refunds
curl https://api.paypercut.io/v1/refunds \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "amount": 100,
      "payment": "01K755J9SV2364REVHB915Z2FW",
      "payment_intent": "01K755J9SY55CS04SQ3JX1NX36",
      "reason": "duplicate",
      "id": "01K755J9SV2364REVHB915Z2FW",
      "currency": {
        "iso": "usd",
        "scale": 2
      },
      "destination_details": {
        "type": "string",
        "card": {
          "reference": "string",
          "reference_status": "string",
          "reference_type": "string",
          "type": "pending"
        }
      },
      "failure_reason": "string",
      "pending_reason": "charge_pending",
      "status": null,
      "created": "2026-04-03T12:46:07.666Z",
      "updated": "2026-04-03T12:46:07.666Z"
    }
  ],
  "last_key": "string"
}